Create Multiple Users

Use the Create Multiple Users API to create multiple local and LDAP users in a single request.

This API accepts an array of user definitions and creates each user using the specified role and authentication type.

Before invoking this API, authenticate with the Pulse server. For more information, see Authenticate with Pulse APIs.


Endpoint

Property

Value

Method

POST

Endpoint

/user

API Type

REST


Request

Run the following command to create multiple users.

curl -X POST 'https://<pulse_url>/user' \ -H 'Content-Type: application/json' \ -b cookies.txt \ -d '[ { "username":"john.doe", "password":"<base64_encoded_password>", "role":"DataEngineer", "ldapUser":false }, { "username":"jane.smith", "role":"Viewer", "ldapUser":true } ]'

Request Body

The request body contains an array of user objects.

Field

Required

Description

username

Yes

Specifies the unique user name.

password

Yes*

Specifies the Base64-encoded password. Required only for local users.

*When ldapUser is set to true, omit the password field because authentication is managed by the LDAP server.

role

Yes

Specifies an existing Pulse role to assign to the user.

ldapUser

No

Specifies whether the user is an LDAP user. The default value is false.

catalogRole

No

Specifies an optional catalog-level role.


Example Request

[ { "username": "john.doe", "password": "<base64_encoded_password>", "role": "DataEngineer", "ldapUser": false }, { "username": "jane.smith", "role": "Viewer", "ldapUser": true } ]

Example Response

If the request is successful, Pulse creates all users specified in the request body.